Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159871 - CAN-2005-1766 HelixPlayer heap overflow
Summary: CAN-2005-1766 HelixPlayer heap overflow
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: HelixPlayer
Version: 4.0
Hardware: All
OS: Linux
medium
urgent
Target Milestone: ---
: ---
Assignee: Colin Walters
QA Contact:
URL:
Whiteboard: public=20050623,impact=critical,sourc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-08 18:39 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2005-517
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-23 19:31:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:517 normal SHIPPED_LIVE Critical: HelixPlayer security update 2005-06-23 04:00:00 UTC

Description Josh Bressers 2005-06-08 18:39:44 UTC
+++ This bug was initially created as a clone of Bug #159864 +++

This vulnerability involved a complex interaction between a maliciously created
SMIL file and specifically crafted web server caused a heap overflow in the
error message processing for RealText which could have allowed an attacker to
execute arbitrary code on a customer's machine.

This issue also affects HelixPlayer

Comment 1 Josh Bressers 2005-06-08 18:40:55 UTC
I will attach a patch as soon as I have one.

Comment 2 John (J5) Palmieri 2005-06-13 18:12:45 UTC
RHEL-4 built and symlinked
HelixPlayer-1.0.5-0.EL4.1

Comment 3 John (J5) Palmieri 2005-06-14 22:26:38 UTC
Josh are you taking care of teh errata for this?

Comment 4 Josh Bressers 2005-06-14 22:42:21 UTC
Yes, this is RHSA-2005:517, it has already passed QA.  We're just waiting on the
embargo.

Comment 5 Josh Bressers 2005-06-23 19:04:39 UTC
Lifting embargo

Comment 6 Josh Bressers 2005-06-23 19:31:01 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-517.html



Note You need to log in before you can comment on or make changes to this bug.